Upstream information

CVE-2011-3627 at MITRE

Description

The bytecode engine in ClamAV before 0.97.3 allows remote attackers to cause a denial of service (crash) via vectors related to "recursion level" and (1) libclamav/bytecode.c and (2) libclamav/bytecode_api.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 724856 [RESOLVED / FIXED], 809945 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • clamav >= 0.100.3-3.9.1
  • clamav-devel >= 0.100.3-3.9.1
  • libclamav7 >= 0.100.3-3.9.1
  • libclammspack0 >= 0.100.3-3.9.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA clamav-0.100.3-3.9.1
SUSE Linux Enterprise Desktop 12 SP1
  • clamav >= 0.98.7-13.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA clamav-0.98.7-13.1
SUSE Linux Enterprise Desktop 12 SP2
  • clamav >= 0.99.2-25.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA clamav-0.99.2-25.1
SUSE Linux Enterprise Desktop 12 SP3
  • clamav >= 0.99.2-32.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA clamav-0.99.2-32.1
SUSE Linux Enterprise Desktop 12 SP4
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA clamav-0.100.2-33.18.1
SUSE Linux Enterprise Desktop 12
  • clamav >= 0.98.4-1.46
Patchnames:
SUSE Linux Enterprise Desktop 12 GA clamav-0.98.4-1.46
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • clamav >= 0.100.0-1.17
  • clamav-devel >= 0.100.0-1.17
  • libclamav7 >= 0.100.0-1.17
  • libclammspack0 >= 0.100.0-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA clamav-0.100.0-1.17
SUSE Linux Enterprise High Performance Computing 12 SP5
  • clamav >= 0.101.3-1.19
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA clamav-0.101.3-1.19
SUSE Linux Enterprise Server 11 SP1
  • clamav >= 0.97.3-0.2.1
Patchnames:
slessp1-clamav
SUSE Linux Enterprise Server 11 SP2
  • clamav >= 0.97.3-0.2.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA clamav-0.97.3-0.2.1
SUSE Linux Enterprise Server 11 SP3
  • clamav >= 0.97.7-0.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA clamav-0.97.7-0.3.1
SUSE Linux Enterprise Server 11 SP4
  • clamav >= 0.98.7-0.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA clamav-0.98.7-0.3.1
SUSE Linux Enterprise Server 12 SP1
  • clamav >= 0.98.7-13.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA clamav-0.98.7-13.1
SUSE Linux Enterprise Server 12 SP2
  • clamav >= 0.99.2-25.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA clamav-0.99.2-25.1
SUSE Linux Enterprise Server 12 SP3
  • clamav >= 0.99.2-32.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA clamav-0.99.2-32.1
SUSE Linux Enterprise Server 12 SP4
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA clamav-0.100.2-33.18.1
SUSE Linux Enterprise Server 12 SP5
  • clamav >= 0.101.3-1.19
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA clamav-0.101.3-1.19
SUSE Linux Enterprise Server 12
  • clamav >= 0.98.4-1.46
Patchnames:
SUSE Linux Enterprise Server 12 GA clamav-0.98.4-1.22
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • clamav >= 0.99.2-25.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA clamav-0.99.2-25.1
openSUSE Tumbleweed
  • clamav >= 0.99.2-4.1
Patchnames:
openSUSE Tumbleweed GA clamav-0.99.2-4.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications clamav Released
SUSE Linux Enterprise Desktop 11 SP1 clamav Released
SUSE Linux Enterprise Desktop 11 SP3 clamav Released
SUSE Linux Enterprise Desktop 11 SP4 clamav Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search clamav Released
SUSE Linux Enterprise Server 11 SP1 clamav Released
SUSE Linux Enterprise Server 11 SP1 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP2 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP3 clamav Released
SUSE Linux Enterprise Server 11 SP3 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP3-LTSS clamav Affected
SUSE Linux Enterprise Server 11 SP4 clamav Affected
SUSE Linux Enterprise Server 11 SP4 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP4-LTSS clamav Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 clamav Released


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 08:16:54 2013
CVE page last modified: Tue Nov 29 12:11:44 2022